---
title: HTMLCanvasElement.transferControlToOffscreen()
slug: Web/API/HTMLCanvasElement/transferControlToOffscreen
tags:
  - API
  - Experimental
  - HTMLCanvasElement
  - Method
  - OffscreenCanvas
  - Reference
---
<div>{{APIRef("Canvas API")}} {{SeeCompatTable}}</div>

<p>The <code><strong>HTMLCanvasElement</strong></code><strong><code>.transferControlToOffscreen()</code></strong> method transfers control to an {{domxref("OffscreenCanvas")}} object, either on the main thread or on a worker.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">OffscreenCanvas HTMLCanvasElement.transferControlToOffscreen()</pre>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("OffscreenCanvas")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var htmlCanvas = document.createElement('canvas');
var offscreen = htmlCanvas.transferControlToOffscreen();
var gl = offscreen.getContext('webgl');

// ... some drawing using the gl context ...

// Push frames back to the original HTMLCanvasElement
gl.commit();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "canvas.html#dom-canvas-transfercontroltooffscreen", "HTMLCanvasElement.transferControlToOffscreen()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLCanvasElement.transferControlToOffscreen")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method, {{domxref("HTMLCanvasElement")}}</li>
 <li>{{domxref("OffscreenCanvas")}}</li>
 <li>{{domxref("WebGLRenderingContext.commit()")}}</li>
</ul>
